<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<ooNotepadSyntax version="1" name="Caml">
    <Lexer name="caml" value="65" filemask="*.ml;*.mli;*.sml;*.thy">
        <State name="DEFAULT" value="0" />
        <State name="IDENTIFIER" value="1" />
        <State name="TAGNAME" value="2" />
        <State name="INSTRUCTION WORD" value="3" />
        <State name="BUILIN FUNC &amp; TYPE" value="4" />
        <State name="TYPE" value="5" />
        <State name="LINENUM" value="6" />
        <State name="OPERATOR" value="7" />
        <State name="NUMBER" value="8" />
        <State name="CHARACTER" value="9" />
        <State name="STRING" value="11" />
        <State name="COMMENT" value="12" />
        <State name="COMMENT LINE" value="13" />
        <State name="COMMENT DOC" value="14" />
        <State name="COMMENT LINE DOC" value="15" />
    </Lexer>
    <KeyWords>
        <keyword value="0">
            <![CDATA[and as assert asr begin class constraint do done downto else end exception external false for fun function functor if in 
include inherit initializer land lazy let lor lsl lsr lxor match method mod module mutable new object of open or private rec 
sig struct then to true try type val virtual when while with]]>
</keyword>
        <keyword value="1">
            <![CDATA[option Some None ignore ref lnot succ pred]]>
</keyword>
        <keyword value="2">
            <![CDATA[array bool char float int list string unit]]>
</keyword>
    </KeyWords>
</ooNotepadSyntax>
